#include<bits/stdc++.h>
using namespace std;

int n,m;
char tabla[11][11];

int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n >> m;
    for(int i=0;i<n;i++)
    cin >> tabla[i];
    for(int i=0;i<min(n,m);i++)
        tabla[i][i]='C';
    for(int i=0;i<n;i++)
    cout << tabla[i] << endl;
}